/*
 * @Author: mozhuangru
 * @LastEditors: mozhuangru
 * @Description: 数据大屏
 * @Date: 2019-10-09 09:22:49
 * @LastEditTime: 2019-10-09 14:07:29
 */
import axios from '../assets/js/api.request'
export default {
  // 资产/任务等数量统计 {communityId entCode}
  getAssetInfo (data) {
    return axios.request({
      url: '/platform/dataScreen/sum',
      params: data,
      method: 'get'
    })
  },
  // 智能门禁 {pageSize pageNum entCode communityId}
  getFacePassRecord (data) {
    return axios.request({
      url: '/platform/dataScreen/facePassRecord',
      params: data,
      method: 'get'
    })
  },
  // 智能停车 {pageSize pageNum entCode communityId}
  getTrafficRecord (data) {
    return axios.request({
      url: '/platform/dataScreen/trafficRecord',
      params: data,
      method: 'get'
    })
  },
  // 账单统计 {entCode communityId}
  getBillSum (data) {
    return axios.request({
      url: '/platform/dataScreen/billSum',
      params: data,
      method: 'get'
    })
  },
  // 账单按月统计 {entCode communityId}
  getBillSumMonth (data) {
    return axios.request({
      url: '/platform/dataScreen/receivedSumByMonth',
      params: data,
      method: 'get'
    })
  },
  // 报事报修列表 {entCode communityId}
  getDialogRecord (data) {
    return axios.request({
      url: '/platform/dataScreen/dialogRecord',
      params: data,
      method: 'get'
    })
  }
}
