/*
 * @Author: WangQiBiao
 * @LastEditors: WangQiBiao
 * @Description:
 * @Date: 2019-03-02 14:21:27
 * @LastEditTime: 2019-10-08 16:52:58
 */
import HttpRequest from './axios'
import config from '@/config'

let baseUrl = '/api/'
if (process.env.NODE_ENV === 'production') {
  if (process.env.VUE_APP_SECRET === 'test') {
    baseUrl = config.baseUrl.test
  } else {
    baseUrl = config.baseUrl.pro
  }
}

const axios = new HttpRequest(baseUrl)
export default axios
